Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	GNOME library for CUPS integration
Name:      	libgnomecups
Version:   	0.2.3
Release:   	2
BuildArch:	i686
License: 	GNU/GPL
URL:	  	http://www.gnome.org/
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
#Patch2: 	libgnomecups-no-gnome-common.patch
Patch3: 	libgnomecups-dbus.patch
Patch5: 	libgnomecups-0.1.14-go-direct.patch
Patch7: 	libgnomecups-0.2.2-leak.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	cups
Requires: 	dbus dbus-glib
BuildRequires: 	cups-devel
BuildRequires: 	glib-devel
BuildRequires: 	gnutls-devel
BuildRequires: 	dbus-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	autoconf, automake, libtool, gettext
BuildRequires: 	intltool libtasn1-devel libgcrypt-devel libgpg-error-devel

%description
GNOME library for CUPS integration

%package devel
Summary: 	GNOME library for CUPS integration
Group: 		Development/GNOME and GTK+
Requires: 	%{name} = %{version}-%{release}
Requires: 	cups-devel glib-devel

%description devel
GNOME library for CUPS integration

%post
ldconfig

%postun
ldconfig

%prep
%setup -q
#%patch2 -p1 -b .no-gnome-common
#%patch3 -p1 -b .dbus
#%patch5 -p1 -b .go-direct
#%patch7 -p1 -b .leak

%build

#autoreconf -f -i
%configure --with-dbus=yes
make

%install
rm -rf %{buildroot}

%makeinstall
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.2.3-2
- gnome 2.28
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.2.3-1
- Version update
* Wed Nov 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.2.2-4
- Gnome 2.20.1
* Sun Nov 05 2006 Christian Metzen <metzench@ccux-linux.de> 0.2.2-3
- rebuild, moved prefix
* Sun Mar 06 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.2-2
- added *.so to devel package
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Version Update
* Mon Jul 25 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.2.0-1
- Initial Release
